# Method: projects.locations.volumes.quotaRules.list

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.request_body)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.ListQuotaRulesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules/list#try-it)

Returns list of all quota rules in a location.

### HTTP request

`GET https://netapp.googleapis.com/v1/{parent=projects/*/locations/*/volumes/*}/quotaRules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListQuotaRulesRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

ListQuotaRulesResponse is the response to a ListQuotaRulesRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "quotaRules": [ { object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules#QuotaRule`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `quotaRules[]` | ``object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.volumes.quotaRules#QuotaRule`)`` List of quota rules |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `netapp.quotaRules.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).